Bug 201154 - [patch] net-p2p/litecoin: Update to 0.10.2.2
Summary: [patch] net-p2p/litecoin: Update to 0.10.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-27 22:11 UTC by Andriy Voskoboinyk
Modified: 2015-08-05 14:41 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
patch.diff (5.01 KB, patch)
2015-06-27 22:11 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (186 bytes, text/plain)
2015-06-27 22:12 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (183.03 KB, text/plain)
2015-06-27 22:24 UTC, Andriy Voskoboinyk
no flags Details
Update.diff (16.60 KB, patch)
2015-08-04 23:11 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.txz (552 bytes, application/x-xz)
2015-08-04 23:16 UTC, Andriy Voskoboinyk
no flags Details
poudriere.txz (18.05 KB, application/x-xz)
2015-08-04 23:16 UTC, Andriy Voskoboinyk
no flags Details
Update2.diff (16.60 KB, patch)
2015-08-04 23:24 UTC, Andriy Voskoboinyk
no flags Details | Diff
Update3.diff (16.63 KB, patch)
2015-08-05 13:22 UTC, Andriy Voskoboinyk
no flags Details | Diff
Desktop file fix (633 bytes, patch)
2015-08-05 13:33 UTC, Andriy Voskoboinyk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-06-27 22:11:37 UTC
Created attachment 158105 [details]
patch.diff

- Use qt4-linguisttools instead of qt4-linguist;
- Add LICENSE;
- Wrap lines at 80 characters;
- Regen patches.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-06-27 22:12:42 UTC
Created attachment 158106 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-06-27 22:24:05 UTC
Created attachment 158107 [details]
poudriere-9.3-i386.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-08-04 23:11:49 UTC
Created attachment 159554 [details]
Update.diff

- Update to 0.10.2.2 (https://litecoin.org/upgrade.html).
- (mostly) Copy Makefile contents from bitcoin* ports (adds litecoin-utils port).
- Add CPE info.
- Add LICENSE_FILE.
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-08-04 23:16:07 UTC
Created attachment 159555 [details]
portlint.txz
Comment 5 Andriy Voskoboinyk freebsd_committer 2015-08-04 23:16:38 UTC
Created attachment 159556 [details]
poudriere.txz
Comment 6 Andriy Voskoboinyk freebsd_committer 2015-08-04 23:24:47 UTC
Created attachment 159557 [details]
Update2.diff

- Fix USES=cpe in net-p2p/litecoin-daemon
Comment 7 commit-hook freebsd_committer 2015-08-05 13:22:25 UTC
A commit references this bug:

Author: swills
Date: Wed Aug  5 13:21:56 UTC 2015
New revision: 393586
URL: https://svnweb.freebsd.org/changeset/ports/393586

Log:
  net-p2p/litecoin: Update to 0.10.2.2

  While here, clean up and add a litecoin-utils port

  PR:		201154
  Submitted by:	Andriy Voskoboinyk <s3erios@gmail.com>

Changes:
  head/net-p2p/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/litecoin/distinfo
  head/net-p2p/litecoin/files/patch-bitcoin-qt.pro
  head/net-p2p/litecoin/files/patch-src__makefile.unix
  head/net-p2p/litecoin/files/patch-src__scrypt.cpp
  head/net-p2p/litecoin/files/patch-src__scrypt.h
  head/net-p2p/litecoin/files/patch-src_crypto_scrypt.cpp
  head/net-p2p/litecoin/files/patch-src_crypto_scrypt.h
  head/net-p2p/litecoin/files/patch-src_leveldb_helpers_memenv_memenv.cc
  head/net-p2p/litecoin-daemon/Makefile
  head/net-p2p/litecoin-utils/
  head/net-p2p/litecoin-utils/Makefile
Comment 8 Andriy Voskoboinyk freebsd_committer 2015-08-05 13:22:29 UTC
Created attachment 159575 [details]
Update3.diff

- Fix .desktop file.
Comment 9 Andriy Voskoboinyk freebsd_committer 2015-08-05 13:33:46 UTC
Created attachment 159576 [details]
Desktop file fix

Looks like the previous update was too late... Move this into separate patch.
Comment 10 commit-hook freebsd_committer 2015-08-05 14:40:37 UTC
A commit references this bug:

Author: swills
Date: Wed Aug  5 14:39:43 UTC 2015
New revision: 393591
URL: https://svnweb.freebsd.org/changeset/ports/393591

Log:
  net-p2p/litecoin: Fix .desktop file

  PR:		201154
  Submitted by:	Andriy Voskoboinyk <s3erios@gmail.com>

Changes:
  head/net-p2p/litecoin/Makefile
Comment 11 Steve Wills freebsd_committer 2015-08-05 14:41:13 UTC
Committed. Nice work, sorry for the wait. Thanks!